use leptos::*;
use leptos_icons::FiIcon::FiExternalLink;
use leptos_icons::*;

#[component]
pub fn Link(
    #[prop(optional)]
    url: Option<String>,
    children: Children
) -> impl IntoView {
    view! {
        <a class="link" href={url} target="_blank">
            { children() }
            <i><Icon icon=Icon::from(FiExternalLink) /></i>
        </a>
    }
}